Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061848 - [abrt] libreoffice-core: _g_log_abort(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: _g_log_abort(): soffice.bin killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d753529a05fcbea60edc3eca7e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 18:25 UTC by daramas444
Modified: 2015-06-29 15:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:01:09 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-05 18:25 UTC, daramas444
no flags Details
File: cgroup (deleted)
2014-02-05 18:25 UTC, daramas444
no flags Details
File: core_backtrace (deleted)
2014-02-05 18:25 UTC, daramas444
no flags Details
File: dso_list (deleted)
2014-02-05 18:25 UTC, daramas444
no flags Details
File: environ (deleted)
2014-02-05 18:25 UTC, daramas444
no flags Details
File: limits (deleted)
2014-02-05 18:25 UTC, daramas444
no flags Details
File: maps (deleted)
2014-02-05 18:26 UTC, daramas444
no flags Details
File: open_fds (deleted)
2014-02-05 18:26 UTC, daramas444
no flags Details
File: proc_pid_status (deleted)
2014-02-05 18:26 UTC, daramas444
no flags Details
File: var_log_messages (deleted)
2014-02-05 18:26 UTC, daramas444
no flags Details

Description daramas444 2014-02-05 18:25:37 UTC
Description of problem:
In the "save as" window, I dragged a file in the "favorite locations". When I try to remove it from the fav location, LibreOffice crashes. That behavior doesn't happen with fav folder, which I can delete without problem.

Version-Release number of selected component:
libreoffice-core-4.1.4.2-5.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: _g_log_abort
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 shortcuts_reorder at gtkfilechooserdefault.c:3116
 #6 shortcuts_drag_data_received_cb at gtkfilechooserdefault.c:3200
 #7 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:2235
 #11 g_signal_emit_by_name at gsignal.c:3426
 #12 gtk_drag_selection_received at gtkdnd.c:1778
 #16 g_signal_emit_by_name at gsignal.c:3426
 #17 gtk_selection_retrieval_report at gtkselection.c:2950
 #18 gtk_selection_convert at gtkselection.c:1089
 #19 gtk_drag_get_data at gtkdnd.c:990

Comment 1 daramas444 2014-02-05 18:25:45 UTC
Created attachment 859775 [details]
File: backtrace

Comment 2 daramas444 2014-02-05 18:25:50 UTC
Created attachment 859776 [details]
File: cgroup

Comment 3 daramas444 2014-02-05 18:25:52 UTC
Created attachment 859777 [details]
File: core_backtrace

Comment 4 daramas444 2014-02-05 18:25:54 UTC
Created attachment 859778 [details]
File: dso_list

Comment 5 daramas444 2014-02-05 18:25:56 UTC
Created attachment 859779 [details]
File: environ

Comment 6 daramas444 2014-02-05 18:25:58 UTC
Created attachment 859780 [details]
File: limits

Comment 7 daramas444 2014-02-05 18:26:01 UTC
Created attachment 859781 [details]
File: maps

Comment 8 daramas444 2014-02-05 18:26:03 UTC
Created attachment 859782 [details]
File: open_fds

Comment 9 daramas444 2014-02-05 18:26:07 UTC
Created attachment 859783 [details]
File: proc_pid_status

Comment 10 daramas444 2014-02-05 18:26:10 UTC
Created attachment 859784 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:49:10 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 15:01:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.